/*
 * Created on 26-apr-2004
 */
package a3.domain;

import convFramework.domain.*;
import jaCop.domain.*;

/**
 * @author Lompa
 */
public class A3Structure extends A3Packet {
	
	private COPNode senderCOPNode = null;
	private COPNode[] structureNeighbors = null;
	
	/**
	 * @param community
	 * @param sender
	 * @param convID
	 * @param packetID
	 */
	public A3Structure(String community, A3Node sender,
			IConversationID convID, IPacketID packetID) {
		super(community, sender, convID, packetID);
	}
	/**
	 * @return Returns the structureNeighbors.
	 */
	public COPNode[] getStructureNeighbors() {
		return structureNeighbors;
	}
	/**
	 * @param structureNeighbors The structureNeighbors to set.
	 */
	public void setStructureNeighbors(COPNode[] structureNeighbors) {
		this.structureNeighbors = structureNeighbors;
	}
	/**
	 * @return Returns the senderCOPNode.
	 */
	public COPNode getSenderCOPNode() {
		return senderCOPNode;
	}
	/**
	 * @param senderCOPNode The senderCOPNode to set.
	 */
	public void setSenderCOPNode(COPNode senderCOPNode) {
		this.senderCOPNode = senderCOPNode;
	}
	/* (non-Javadoc)
	 * @see jaCop.domain.A3Packet#getType()
	 */
	public String getType() {
		return getTypeDescription();
	}
	
	/* (non-Javadoc)
	 * @see jaCop.domain.A3Packet#getTypeDescription()
	 */
	public static String getTypeDescription(){
		return "A3Structure";
	}
}
